Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateElementsNodesAndMaterialsDiagnosticHoriz.cpp	(revision 3567)
@@ -24,8 +24,8 @@
 
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 	
 	/*Now, is the flag macayaealpattyn on? otherwise, do nothing: */
@@ -58,5 +58,5 @@
 			if(iomodel->my_elements[i]){
 				
-				if (*(iomodel->elements_type+2*i+0)==MacAyealFormulationEnum()){ //elements of type 1 are Hutter type Tria. Don't create this elements.
+				if (*(iomodel->elements_type+2*i+0)==MacAyealFormulationEnum){ //elements of type 1 are Hutter type Tria. Don't create this elements.
 
 					/*Create and add tria element to elements dataset: */
@@ -106,5 +106,5 @@
 		for (i=0;i<iomodel->numberofelements;i++){
 			if(iomodel->my_elements[i]){
-				if (*(iomodel->elements_type+2*i+0)==MacAyealFormulationEnum() | *(iomodel->elements_type+2*i+0)==PattynFormulationEnum()){ //elements of type 1 are Hutter type Tria. Don't create this elements.
+				if (*(iomodel->elements_type+2*i+0)==MacAyealFormulationEnum | *(iomodel->elements_type+2*i+0)==PattynFormulationEnum){ //elements of type 1 are Hutter type Tria. Don't create this elements.
 					/*Create and add penta element to elements dataset: */
 					elements->AddObject(new Penta(i,iomodel));
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHoriz/CreateLoadsDiagnosticHoriz.cpp	(revision 3567)
@@ -21,5 +21,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 
 	/*Now, is the flag macayaealpattyn on? otherwise, do nothing: */
@@ -45,5 +45,5 @@
 		
 		/*Do not create ice front if Hutter or Stokes elements*/
-		if ((int)*(iomodel->elements_type+2*element+0)==(HutterFormulationEnum() || StokesFormulationEnum())) continue;
+		if ((int)*(iomodel->elements_type+2*element+0)==(HutterFormulationEnum || StokesFormulationEnum)) continue;
 
 		/*Create and  add load: */
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateConstraintsDiagnosticHutter.cpp	(revision 3567)
@@ -19,5 +19,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 
 	/*Now, is the flag ishutter on? otherwise, do nothing: */
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateElementsNodesAndMaterialsDiagnosticHutter.cpp	(revision 3567)
@@ -24,8 +24,8 @@
 
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Now, is the flag ishutter on? otherwise, do nothing: */
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticHutter/CreateLoadsDiagnosticHutter.cpp	(revision 3567)
@@ -15,5 +15,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 
 	/*Now, is the flag ishutter on? otherwise, do nothing: */
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateConstraintsDiagnosticStokes.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateConstraintsDiagnosticStokes.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateConstraintsDiagnosticStokes.cpp	(revision 3567)
@@ -18,5 +18,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 
 	/*Now, is the flag ishutter on? otherwise, do nothing: */
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateElementsNodesAndMaterialsDiagnosticStokes.cpp	(revision 3567)
@@ -25,8 +25,8 @@
 
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Now, do we have Stokes elements?*/
@@ -59,5 +59,5 @@
 
 		if(iomodel->my_elements[i]){
-			 if (*(iomodel->elements_type+2*i+1)==StokesFormulationEnum()){
+			 if (*(iomodel->elements_type+2*i+1)==StokesFormulationEnum){
 
 				 /*Create and add penta element to elements dataset: */
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticStokes/CreateLoadsDiagnosticStokes.cpp	(revision 3567)
@@ -25,5 +25,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 
 	/*Now, is the flag ishutter on? otherwise, do nothing: */
@@ -49,5 +49,5 @@
 	
 		/*Do not create ice front if it is not a Stokes element*/
-		if (!(int)*(iomodel->elements_type+2*element+1)==StokesFormulationEnum()){ 
+		if (!(int)*(iomodel->elements_type+2*element+1)==StokesFormulationEnum){ 
 			continue;
 		}
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateConstraintsDiagnosticVert.cpp	(revision 3567)
@@ -17,5 +17,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 
 	/*return if 2d mesh*/
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateElementsNodesAndMaterialsDiagnosticVert.cpp	(revision 3567)
@@ -24,8 +24,8 @@
 
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Now, is the flag macayaealpattyn on? otherwise, do nothing: */
Index: issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/DiagnosticVert/CreateLoadsDiagnosticVert.cpp	(revision 3567)
@@ -15,5 +15,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 
 	/*Assign output pointer: */
Index: issm/trunk/src/c/ModelProcessorx/Melting/CreateConstraintsMelting.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Melting/CreateConstraintsMelting.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Melting/CreateConstraintsMelting.cpp	(revision 3567)
@@ -18,5 +18,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 
 	/*All our datasets are already order by ids. Set presort flag so that later on, when sorting is requested on these 
Index: issm/trunk/src/c/ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Melting/CreateElementsNodesAndMaterialsMelting.cpp	(revision 3567)
@@ -24,8 +24,8 @@
 	
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Partition elements and vertices and nodes: */
Index: issm/trunk/src/c/ModelProcessorx/Melting/CreateLoadsMelting.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Melting/CreateLoadsMelting.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Melting/CreateLoadsMelting.cpp	(revision 3567)
@@ -21,5 +21,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 
 	//create penalties for grids: no grid can have a temperature over the melting point
Index: issm/trunk/src/c/ModelProcessorx/Partitioning.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Partitioning.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Partitioning.cpp	(revision 3567)
@@ -22,5 +22,5 @@
 void  Partitioning(bool** pmy_elements, bool** pmy_vertices, bool** pmy_nodes, bool** pmy_bordervertices, IoModel* iomodel, ConstDataHandle iomodel_handle){
 	
-	if (iomodel->analysis_type==Prognostic2AnalysisEnum())
+	if (iomodel->analysis_type==Prognostic2AnalysisEnum)
 		DiscontinuousGalerkinPartitioning(pmy_elements, pmy_vertices, pmy_nodes, pmy_bordervertices, iomodel, iomodel_handle);
 	else
Index: issm/trunk/src/c/ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic/CreateConstraintsPrognostic.cpp	(revision 3567)
@@ -19,5 +19,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 
 	/*Fetch data: */
Index: issm/trunk/src/c/ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic/CreateElementsNodesAndMaterialsPrognostic.cpp	(revision 3567)
@@ -24,8 +24,8 @@
 	
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Partition elements and vertices and nodes: */
Index: issm/trunk/src/c/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic/CreateLoadsPrognostic.cpp	(revision 3567)
@@ -15,5 +15,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 	
 	/*All our datasets are already order by ids. Set presort flag so that later on, when sorting is requested on these 
Index: issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateConstraintsPrognostic2.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateConstraintsPrognostic2.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateConstraintsPrognostic2.cpp	(revision 3567)
@@ -15,5 +15,5 @@
 	
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 	
 	/*Assign output pointer: */
Index: issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateElementsNodesAndMaterialsPrognostic2.cpp	(revision 3567)
@@ -27,8 +27,8 @@
 
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Partition elements and vertices and nodes: */
Index: issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Prognostic2/CreateLoadsPrognostic2.cpp	(revision 3567)
@@ -29,5 +29,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 
 	/*Get edges and elements*/
Index: issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateConstraintsSlopeCompute.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateConstraintsSlopeCompute.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateConstraintsSlopeCompute.cpp	(revision 3567)
@@ -15,5 +15,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 	
 	/*Assign output pointer: */
Index: issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateElementsNodesAndMaterialsSlopeCompute.cpp	(revision 3567)
@@ -24,8 +24,8 @@
 	
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Partition elements and vertices and nodes: */
Index: issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/SlopeCompute/CreateLoadsSlopeCompute.cpp	(revision 3567)
@@ -15,5 +15,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 
 	/*Now, is the flag isstokes on? otherwise, do nothing: */
Index: issm/trunk/src/c/ModelProcessorx/Thermal/CreateConstraintsThermal.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Thermal/CreateConstraintsThermal.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Thermal/CreateConstraintsThermal.cpp	(revision 3567)
@@ -19,5 +19,5 @@
 
 	/*Create constraints: */
-	constraints = new DataSet(ConstraintsEnum());
+	constraints = new DataSet(ConstraintsEnum);
 
 	/*return if 2d mesh*/
Index: issm/trunk/src/c/ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Thermal/CreateElementsNodesAndMaterialsThermal.cpp	(revision 3567)
@@ -24,8 +24,8 @@
 	
 	/*First create the elements, nodes and material properties: */
-	elements  = new DataSet(ElementsEnum());
-	nodes     = new DataSet(NodesEnum());
-	vertices  = new DataSet(VerticesEnum());
-	materials = new DataSet(MaterialsEnum());
+	elements  = new DataSet(ElementsEnum);
+	nodes     = new DataSet(NodesEnum);
+	vertices  = new DataSet(VerticesEnum);
+	materials = new DataSet(MaterialsEnum);
 
 	/*Partition elements and vertices and nodes: */
Index: issm/trunk/src/c/ModelProcessorx/Thermal/CreateLoadsThermal.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Thermal/CreateLoadsThermal.cpp	(revision 3566)
+++ issm/trunk/src/c/ModelProcessorx/Thermal/CreateLoadsThermal.cpp	(revision 3567)
@@ -22,5 +22,5 @@
 
 	/*Create loads: */
-	loads   = new DataSet(LoadsEnum());
+	loads   = new DataSet(LoadsEnum);
 
 	//create penalties for grids: no grid can have a temperature over the melting point
Index: issm/trunk/src/c/PenaltyConstraintsx/RiftConstraints.cpp
===================================================================
--- issm/trunk/src/c/PenaltyConstraintsx/RiftConstraints.cpp	(revision 3566)
+++ issm/trunk/src/c/PenaltyConstraintsx/RiftConstraints.cpp	(revision 3567)
@@ -46,5 +46,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if(RiftfrontEnum()==loads->GetEnum(i)){
+		if(RiftfrontEnum==loads->GetEnum(i)){
 
 			riftfront=(Riftfront*)loads->GetObjectByOffset(i);
@@ -77,5 +77,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if(RiftfrontEnum()==loads->GetEnum(i)){
+		if(RiftfrontEnum==loads->GetEnum(i)){
 			found=1;
 			break;
@@ -104,5 +104,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if(RiftfrontEnum()==loads->GetEnum(i)){
+		if(RiftfrontEnum==loads->GetEnum(i)){
 
 			riftfront=(Riftfront*)loads->GetObjectByOffset(i);
@@ -142,5 +142,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if(RiftfrontEnum()==loads->GetEnum(i)){
+		if(RiftfrontEnum==loads->GetEnum(i)){
 
 			riftfront=(Riftfront*)loads->GetObjectByOffset(i);
@@ -164,5 +164,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if (RiftfrontEnum()==loads->GetEnum(i)){
+		if (RiftfrontEnum==loads->GetEnum(i)){
 
 			riftfront=(Riftfront*)loads->GetObjectByOffset(i);
@@ -199,5 +199,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if (RiftfrontEnum()==loads->GetEnum(i)){
+		if (RiftfrontEnum==loads->GetEnum(i)){
 
 			riftfront=(Riftfront*)loads->GetObjectByOffset(i);
@@ -230,5 +230,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if (RiftfrontEnum()==loads->GetEnum(i)){
+		if (RiftfrontEnum==loads->GetEnum(i)){
 
 			riftfront=(Riftfront*)loads->GetObjectByOffset(i);
@@ -253,5 +253,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if (RiftfrontEnum()==loads->GetEnum(i)){
+		if (RiftfrontEnum==loads->GetEnum(i)){
 
 			riftfront=(Riftfront*)loads->GetObjectByOffset(i);
@@ -291,5 +291,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if (RiftfrontEnum()==loads->GetEnum(i)){
+		if (RiftfrontEnum==loads->GetEnum(i)){
 
 			riftfront=(Riftfront*)loads->GetObjectByOffset(i);
@@ -330,5 +330,5 @@
 	for (i=0;i<loads->Size();i++){
 
-		if (RiftfrontEnum()==loads->GetEnum(i)){
+		if (RiftfrontEnum==loads->GetEnum(i)){
 
 			riftfront=(Riftfront*)loads->GetObjectByOffset(i);
Index: issm/trunk/src/c/ProcessParamsx/ProcessParamsx.cpp
===================================================================
--- issm/trunk/src/c/ProcessParamsx/ProcessParamsx.cpp	(revision 3566)
+++ issm/trunk/src/c/ProcessParamsx/ProcessParamsx.cpp	(revision 3567)
@@ -41,5 +41,5 @@
 		param_type=parameters->GetEnum(i);
 
-		if(param_type==ParamEnum()){
+		if(param_type==ParamEnum){
 
 			Param* param=(Param*)parameters->GetObjectByOffset(i);
Index: issm/trunk/src/c/Qmux/DakotaResponses.cpp
===================================================================
--- issm/trunk/src/c/Qmux/DakotaResponses.cpp	(revision 3566)
+++ issm/trunk/src/c/Qmux/DakotaResponses.cpp	(revision 3567)
@@ -238,11 +238,11 @@
 
 			if(isstokes){
-				femmodel=model->GetFormulation(DiagnosticAnalysisEnum(),StokesAnalysisEnum());
+				femmodel=model->GetFormulation(DiagnosticAnalysisEnum,StokesAnalysisEnum);
 			}
 			if(ismacayealpattyn){
-				femmodel=model->GetFormulation(DiagnosticAnalysisEnum(),HorizAnalysisEnum());
+				femmodel=model->GetFormulation(DiagnosticAnalysisEnum,HorizAnalysisEnum);
 			}
 			if(ishutter){
-				femmodel=model->GetFormulation(DiagnosticAnalysisEnum(),HutterAnalysisEnum());
+				femmodel=model->GetFormulation(DiagnosticAnalysisEnum,HutterAnalysisEnum);
 			}	
 
@@ -300,11 +300,11 @@
 
 			if(isstokes){
-				femmodel=model->GetFormulation(DiagnosticAnalysisEnum(),StokesAnalysisEnum());
+				femmodel=model->GetFormulation(DiagnosticAnalysisEnum,StokesAnalysisEnum);
 			}
 			if(ismacayealpattyn){
-				femmodel=model->GetFormulation(DiagnosticAnalysisEnum(),HorizAnalysisEnum());
+				femmodel=model->GetFormulation(DiagnosticAnalysisEnum,HorizAnalysisEnum);
 			}
 			if(ishutter){
-				femmodel=model->GetFormulation(DiagnosticAnalysisEnum(),HutterAnalysisEnum());
+				femmodel=model->GetFormulation(DiagnosticAnalysisEnum,HutterAnalysisEnum);
 			}
 
Index: issm/trunk/src/c/Qmux/SpawnCoreParallel.cpp
===================================================================
--- issm/trunk/src/c/Qmux/SpawnCoreParallel.cpp	(revision 3566)
+++ issm/trunk/src/c/Qmux/SpawnCoreParallel.cpp	(revision 3567)
@@ -60,5 +60,5 @@
 		
 	/*First off, recover the response descriptors for the response functions: */
-	param=(Param*)model->GetFormulation(DiagnosticAnalysisEnum(),HorizAnalysisEnum())->parameters->FindParamObject("responsedescriptors");
+	param=(Param*)model->GetFormulation(DiagnosticAnalysisEnum,HorizAnalysisEnum)->parameters->FindParamObject("responsedescriptors");
 	if(!param)ISSMERROR(" could not find response descriptors!");
 
@@ -123,11 +123,11 @@
 
 	//initialize results:
-	results=new DataSet(ResultsEnum());
+	results=new DataSet(ResultsEnum);
 
 	/*Modify core inputs to reflect the dakota variables inputs: */
-	inputs->UpdateFromDakota(variables,variables_descriptors,numvariables,model->GetFormulation(DiagnosticAnalysisEnum(),HorizAnalysisEnum())->parameters,qmu_part,qmu_npart); //diagnostic horiz model is the one holding the parameters for Dakota.
+	inputs->UpdateFromDakota(variables,variables_descriptors,numvariables,model->GetFormulation(DiagnosticAnalysisEnum,HorizAnalysisEnum)->parameters,qmu_part,qmu_npart); //diagnostic horiz model is the one holding the parameters for Dakota.
 
 	/*Run the analysis core solution sequence, with the updated inputs: */
-	if(analysis_type==DiagnosticAnalysisEnum()){
+	if(analysis_type==DiagnosticAnalysisEnum){
 			
 		if(verbose)_printf_("Starting diagnostic core\n");
@@ -136,5 +136,5 @@
 
 	}
-	else if(analysis_type==ThermalAnalysisEnum()){
+	else if(analysis_type==ThermalAnalysisEnum){
 		
 		if(verbose)_printf_("Starting thermal core\n");
@@ -142,5 +142,5 @@
 
 	}
-	else if(analysis_type==PrognosticAnalysisEnum()){
+	else if(analysis_type==PrognosticAnalysisEnum){
 
 		if(verbose)_printf_("Starting prognostic core\n");
@@ -148,5 +148,5 @@
 
 	}
-	else if(analysis_type==TransientAnalysisEnum()){
+	else if(analysis_type==TransientAnalysisEnum){
 
 		if(verbose)_printf_("Starting transient core\n");
Index: issm/trunk/src/c/UpdateGeometryx/UpdateGeometryx.cpp
===================================================================
--- issm/trunk/src/c/UpdateGeometryx/UpdateGeometryx.cpp	(revision 3566)
+++ issm/trunk/src/c/UpdateGeometryx/UpdateGeometryx.cpp	(revision 3567)
@@ -57,5 +57,5 @@
 	for(i=0;i<materials->Size();i++){
 		Object* object=materials->GetObjectByOffset(i);
-		if  (object->Enum()==MatparEnum()){
+		if  (object->Enum()==MatparEnum){
 			matpar=(Matpar*)object;
 			break;
Index: issm/trunk/src/c/objects/Beam.cpp
===================================================================
--- issm/trunk/src/c/objects/Beam.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Beam.cpp	(revision 3567)
@@ -205,5 +205,5 @@
 
 	/*get enum type of Beam: */
-	enum_type=BeamEnum();
+	enum_type=BeamEnum;
 	
 	/*marshall enum: */
@@ -377,7 +377,7 @@
 
 	/*Just branch to the correct element stiffness matrix generator, according to the type of analysis we are carrying out: */
-	if (analysis_type==DiagnosticAnalysisEnum()) {
-	
-		if (sub_analysis_type==HutterAnalysisEnum()) {
+	if (analysis_type==DiagnosticAnalysisEnum) {
+	
+		if (sub_analysis_type==HutterAnalysisEnum) {
 
 			CreateKMatrixDiagnosticHutter( Kgg,inputs,analysis_type,sub_analysis_type);
@@ -430,6 +430,6 @@
 	
 	/*Just branch to the correct load generator, according to the type of analysis we are carrying out: */
-	if (analysis_type==DiagnosticAnalysisEnum()) {
-		if (sub_analysis_type==HutterAnalysisEnum()) {
+	if (analysis_type==DiagnosticAnalysisEnum) {
+		if (sub_analysis_type==HutterAnalysisEnum) {
 			CreatePVectorDiagnosticHutter( pg,inputs,analysis_type,sub_analysis_type);
 		}
@@ -577,5 +577,5 @@
 int Beam::Enum(void){
 
-	return BeamEnum();
+	return BeamEnum;
 
 }
Index: issm/trunk/src/c/objects/DofIndexing.cpp
===================================================================
--- issm/trunk/src/c/objects/DofIndexing.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/DofIndexing.cpp	(revision 3567)
@@ -150,5 +150,5 @@
 
 	/*get enum type of DofIndexing: */
-	enum_type=DofIndexingEnum();
+	enum_type=DofIndexingEnum;
 	
 	/*marshall enum: */
Index: issm/trunk/src/c/objects/DofVec.cpp
===================================================================
--- issm/trunk/src/c/objects/DofVec.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/DofVec.cpp	(revision 3567)
@@ -191,5 +191,5 @@
 
 	/*get enum type of DofVec: */
-	enum_type=DofVecEnum();
+	enum_type=DofVecEnum;
 	
 	/*marshall enum: */
@@ -227,5 +227,5 @@
 int DofVec::Enum(void){
 
-	return DofVecEnum();
+	return DofVecEnum;
 
 }
Index: issm/trunk/src/c/objects/Element.cpp
===================================================================
--- issm/trunk/src/c/objects/Element.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Element.cpp	(revision 3567)
@@ -9,4 +9,4 @@
 int Element::Enum(void){
 
-	return ElementEnum();
+	return ElementEnum;
 }
Index: issm/trunk/src/c/objects/ElementProperties.cpp
===================================================================
--- issm/trunk/src/c/objects/ElementProperties.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/ElementProperties.cpp	(revision 3567)
@@ -257,5 +257,5 @@
 
 	/*get enum type of ElementProperties: */
-	enum_type=ElementPropertiesEnum();
+	enum_type=ElementPropertiesEnum;
 	
 	/*marshall enum: */
Index: issm/trunk/src/c/objects/Hook.cpp
===================================================================
--- issm/trunk/src/c/objects/Hook.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Hook.cpp	(revision 3567)
@@ -117,5 +117,5 @@
 
 	/*get enum type of Hook: */
-	enum_type=HookEnum();
+	enum_type=HookEnum;
 	
 	/*marshall enum: */
